Name:           python-meerschaum
Version:        2.9.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Sync Time-Series Pipes with Meerschaum

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://meerschaum.io
Source:         %{pypi_source meerschaum}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'meerschaum' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-meerschaum
Summary:        %{summary}

%description -n python3-meerschaum %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-meerschaum api,build,cli,core,dash,dev-tools,docs,drivers,drivers-extras,extras,formatting,full,gis,gui,jobs,minimal,required,setup,sql,stack


%prep
%autosetup -p1 -n meerschaum-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x api,build,cli,core,dash,dev-tools,docs,drivers,drivers-extras,extras,formatting,full,gis,gui,jobs,minimal,required,setup,sql,stack


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-meerschaum -f %{pyproject_files}


%changelog
%autochangelog